AgentGroups:
  - &exchange 1
  - &forecaster 6
  - &storage 7

Contracts:
##########################
# -- Forecasting --      #
##########################
  - SenderId: *storage
    ReceiverId: *forecaster
    ProductName: MeritOrderForecastRequest
    FirstDeliveryTime: -21
    DeliveryIntervalInSteps: 3600

  - SenderId: *forecaster
    ReceiverId: *storage
    ProductName: MeritOrderForecast
    FirstDeliveryTime: -19
    DeliveryIntervalInSteps: 3600

##########################
# -- Bidding --          #
##########################
  - SenderId: *exchange
    ReceiverId: [*storage, *forecaster]
    ProductName: GateClosureInfo
    FirstDeliveryTime: -30
    DeliveryIntervalInSteps: 3600

  - SenderId: *storage
    ReceiverId: *exchange
    ProductName: Bids
    FirstDeliveryTime: 0
    DeliveryIntervalInSteps: 3600

  - SenderId: *exchange
    ReceiverId: *storage
    ProductName: Awards
    FirstDeliveryTime: 4
    DeliveryIntervalInSteps: 3600
